## kernel-kbuild-2.6-3 2.6.6-0.backports.org.1

=== debian/changelog ===
kernel-kbuild-2.6-3 (2.6.6-0.backports.org.1) unstable; urgency=low

  * recompiled for http://www.backports.org/

 -- Norbert Tretkowski <tretkowski@inittab.de>  Sun, 06 Jun 2004 15:56:26 +0200

kernel-kbuild-2.6-3 (2.6.6-1) unstable; urgency=low

  * New upstream release.
  * Updated revision.
  * Removed bogus postinst.

 -- Herbert Xu <herbert@debian.org>  Mon, 10 May 2004 21:39:19 +1000

kernel-kbuild-2.6-2 (2.6.5-2) unstable; urgency=low

  * Updated revision.

 -- Herbert Xu <herbert@debian.org>  Mon, 19 Apr 2004 19:58:56 +1000

kernel-kbuild-2.6-1 (2.6.5-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Tue,  6 Apr 2004 20:59:58 +1000

kernel-kbuild-2.6-1 (2.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sat, 13 Mar 2004 17:40:26 +1100

kernel-kbuild-2.6-1 (2.6.3-2) unstable; urgency=low

  * Zap scripts/Makefile and make files old (closes: #236134, #237240).

 -- Herbert Xu <herbert@debian.org>  Fri,  5 Mar 2004 08:05:46 +1100

kernel-kbuild-2.6-1 (2.6.3-1) unstable; urgency=low

  * New upstream release (closes: #235893).

 -- Herbert Xu <herbert@debian.org>  Wed,  3 Mar 2004 19:24:40 +1100

kernel-kbuild-2.6-1 (2.6.2-1) unstable; urgency=low

  * New upstream release (closes: #229389).

 -- Herbert Xu <herbert@debian.org>  Sat,  7 Feb 2004 11:43:19 +1100

kernel-kbuild-2.6-1 (2.6.0-test11-1) unstable; urgency=low

  * Initial release.

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Dec 2003 11:00:05 +1100
