## kernel-kbuild-2.6-3 2.6.8-2

=== debian/changelog ===
kernel-kbuild-2.6-3 (2.6.8-2) unstable; urgency=low

  * Add huge workarounds to get it to work on both sparc and sparc64 within
    the same package, like a script to decide whether to use sparc or sparc64
    versions of things.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 27 Dec 2004 14:38:38 -0800

kernel-kbuild-2.6-3 (2.6.8-1) unstable; urgency=low

  * Updated revison
  * Changed maintainer to Debian kernel team <debian-kernel@lists.debian.org>
  * Added myself as an uploader. Other members of the kernel-team,
    please do the same at will. The intention is for this package
    to be maintained by members of the kernel-team, not specifically me.

 -- Simon Horman <horms@debian.org>  Thu, 16 Sep 2004 12:05:48 +0900
