=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: kernel-kbuild-2.6-3
 Section: devel
 Priority: optional
-Maintainer: Herbert Xu <herbert@debian.org>
+Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Uploaders: Simon Horman <horms@debian.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 2), kernel-source-2.6.6
+Build-Depends: debhelper (>= 2), kernel-source-2.6.8
 
 Package: kernel-kbuild-2.6-3
 Architecture: any
